Uses of Package
org.apache.juneau.http.classic.part
Packages that use org.apache.juneau.http.classic.part
Package
Description
Predefined HTTP headers, parts, entities, resources, and responses built on the classic Apache HttpComponents API.
HTTP Part Beans
REST Client API
-
Classes in org.apache.juneau.http.classic.part used by org.apache.juneau.http.classicClassDescriptionA
NameValuePairthat consists of a single boolean value.ANameValuePairthat consists of a comma-delimited list of string values.ANameValuePairthat consist of a single HTTP-date.ANameValuePairthat consists of a single integer value.ANameValuePairthat consists of a single long value.Implementation ofNameValuePairfor serializing POJOs as URL-encoded form post entries.ANameValuePairthat consists of a single string value.ANameValuePairthat consists of a single URL value.An simple list of HTTP parts (form-data, query-parameters, path-parameters).Subclass ofNameValuePairfor serializing POJOs as URL-encoded form post entries using theclass. -
Classes in org.apache.juneau.http.classic.part used by org.apache.juneau.http.classic.partClassDescriptionA
NameValuePairthat consists of a single boolean value.ANameValuePairthat consists of a comma-delimited list of string values.ANameValuePairthat consist of a single HTTP-date.ANameValuePairthat consists of a single integer value.ANameValuePairthat consists of a single long value.Implementation ofNameValuePairfor serializing POJOs as URL-encoded form post entries.ANameValuePairthat consists of a single string value.ANameValuePairthat consists of a single URL value.Holds metadata about http part beans (POJOs that get serialized as HTTP parts such as form data or query parameters).A type-safe iterator forNameValuePairobjects.An simple list of HTTP parts (form-data, query-parameters, path-parameters).Subclass ofNameValuePairfor serializing POJOs as URL-encoded form post entries using theclass. -
Classes in org.apache.juneau.http.classic.part used by org.apache.juneau.rest.client.classicClassDescriptionAn simple list of HTTP parts (form-data, query-parameters, path-parameters).